# Class DefaultTreeApplyFilterMethod<Data>

#### Type Parameters

- Data extends WithIdentifier & WithChildren = any

#### Implements

- Method<Node<Data>[], TreeApplyFilterParameter>

- Defined in tree/src/lib/tree.data-source.ts:126

#####
Index

### Constructors

constructor

### Properties

lastFilter

### Methods

call
isEqualToLastFilter

##
Constructors

### constructor

- new DefaultTreeApplyFilterMethod<Data extends unknown = any>(): DefaultTreeApplyFilterMethod<
  Data,
  >

  #### Type Parameters

  - Data extends unknown = any

  #### Returns DefaultTreeApplyFilterMethod<Data>

##
Properties

### `Protected` lastFilter

lastFilter: null | ISearchForm<unknown> = null

- Defined in tree/src/lib/tree.data-source.ts:129

##
Methods

### call

- call(
  __namedParameters: TreeApplyFilterParameter,
  ): Node<Data, any>[] | Promise<Node<Data, any>[]>

  #### Parameters

  - __namedParameters: TreeApplyFilterParameter

  #### Returns Node<Data, any>[] | Promise<Node<Data, any>[]>

  Implementation of Method.call

  - Defined in tree/src/lib/tree.data-source.ts:131

### `Protected` isEqualToLastFilter

- isEqualToLastFilter(filter: ISearchForm): boolean

  #### Parameters

  - filter: ISearchForm

  #### Returns boolean

  - Defined in tree/src/lib/tree.data-source.ts:215